Subject: Re: bug#4980: 23.1.50; In File > Quit GUI, add "Cancel", write "Save", and simplify

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Nov 2009 11:31:42 +0200

> 1.  As dak wrote in 2008 at
> http://thread.gmane.org/gmane.emacs.devel/65537/focus=100634 there's
> no Cancel button.  "Closing the dialog window happens to achieve that
> ... but it is not really obvious."  Please add a Cancel button.
>
> 2.  For the first choice, instead of writing "Yes", write "Save".
> Usability researchers have found that action verbs are always better
> when a list of choices is provided.  I can explain why if you require
> it.
>
> 3.  The seven choices act as a confusing way to ask me which files to
> save.  Instead, as Joshua Juran <[email-masked]> suggested to me in
> Freenode #macdev, you should use a dialog box like "gedit" uses (
> screenshot at http://omploader.org/vMnQzaw ; download gedit for
> Windows / Mac at http://projects.gnome.org/gedit/ ):

The graphical version of the closing dialog window is modelled
after the corresponding minibuffer prompts.

So if we are going to change "Yes/No" to "Quit without saving",
"Save All" and "Cancel" (I wholeheartedly welcome this change
since a "Yes/No" question is dangerous to lose unsaved changes),
then we have to modify the minibuffer prompts too.

Maybe in the non-graphical version we should display a list of unsaved
buffers (in a fashion like the *Buffer List* for `C-x C-b') like
we display the process list when quitting with running processes.

-- 
Juri Linkov
http://www.jurta.org/emacs/